Package weka.core.pmml.jaxbbindings

# Class NeuralLayer

java.lang.Object
weka.core.pmml.jaxbbindings.NeuralLayer

public class NeuralLayer extends Object

Java class for NeuralLayer element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="NeuralLayer">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Neuron" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="activationFunction" type="{http://www.dmg.org/PMML-4_1}ACTIVATION-FUNCTION" />
             <attribute name="altitude" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="normalizationMethod" type="{http://www.dmg.org/PMML-4_1}NN-NORMALIZATION-METHOD" />
             <attribute name="numberOfNeurons" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
             <attribute name="threshold" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="width" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NeuralLayer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ACTIVATIONFUNCTION`
  `getActivationFunction()`
  Gets the value of the activationFunction property.
  `Double`
  `getAltitude()`
  Gets the value of the altitude property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<Neuron>`
  `getNeuron()`
  Gets the value of the neuron property.
  `NNNORMALIZATIONMETHOD`
  `getNormalizationMethod()`
  Gets the value of the normalizationMethod property.
  `BigInteger`
  `getNumberOfNeurons()`
  Gets the value of the numberOfNeurons property.
  `Double`
  `getThreshold()`
  Gets the value of the threshold property.
  `Double`
  `getWidth()`
  Gets the value of the width property.
  `void`
  `setActivationFunction(ACTIVATIONFUNCTION value)`
  Sets the value of the activationFunction property.
  `void`
  `setAltitude(Double value)`
  Sets the value of the altitude property.
  `void`
  `setNormalizationMethod(NNNORMALIZATIONMETHOD value)`
  Sets the value of the normalizationMethod property.
  `void`
  `setNumberOfNeurons(BigInteger value)`
  Sets the value of the numberOfNeurons property.
  `void`
  `setThreshold(Double value)`
  Sets the value of the threshold property.
  `void`
  `setWidth(Double value)`
  Sets the value of the width property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NeuralLayer

    public NeuralLayer()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getNeuron

    public List<Neuron> getNeuron()
    Gets the value of the neuron property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the neuron property.

    For example, to add a new item, do as follows:

            getNeuron().add(newItem);

    Objects of the following type(s) are allowed in the list `Neuron`

  - ### getActivationFunction

    public ACTIVATIONFUNCTION getActivationFunction()
    Gets the value of the activationFunction property.
    Returns:
      possible object is `ACTIVATIONFUNCTION`

  - ### setActivationFunction

    public void setActivationFunction(ACTIVATIONFUNCTION value)
    Sets the value of the activationFunction property.
    Parameters:
      `value` - allowed object is `ACTIVATIONFUNCTION`

  - ### getAltitude

    public Double getAltitude()
    Gets the value of the altitude property.
    Returns:
      possible object is `Double`

  - ### setAltitude

    public void setAltitude(Double value)
    Sets the value of the altitude property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getNormalizationMethod

    public NNNORMALIZATIONMETHOD getNormalizationMethod()
    Gets the value of the normalizationMethod property.
    Returns:
      possible object is `NNNORMALIZATIONMETHOD`

  - ### setNormalizationMethod

    public void setNormalizationMethod(NNNORMALIZATIONMETHOD value)
    Sets the value of the normalizationMethod property.
    Parameters:
      `value` - allowed object is `NNNORMALIZATIONMETHOD`

  - ### getNumberOfNeurons

    public BigInteger getNumberOfNeurons()
    Gets the value of the numberOfNeurons property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfNeurons

    public void setNumberOfNeurons(BigInteger value)
    Sets the value of the numberOfNeurons property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getThreshold

    public Double getThreshold()
    Gets the value of the threshold property.
    Returns:
      possible object is `Double`

  - ### setThreshold

    public void setThreshold(Double value)
    Sets the value of the threshold property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getWidth

    public Double getWidth()
    Gets the value of the width property.
    Returns:
      possible object is `Double`

  - ### setWidth

    public void setWidth(Double value)
    Sets the value of the width property.
    Parameters:
      `value` - allowed object is `Double`